# sfepy.postprocess.utils_vtk module

Postprocessing utils based on VTK library

sfepy.postprocess.utils_vtk.get_vtk_by_group(vtkdata, group_lower, group_upper=None)

  Get submesh by material group id.

  Parameters:
    vtkdata VTK object

      Mesh, scalar, vector and tensor data.

    group_lower int

      The lower material id.

    group_lower int

      The Upper material id.

  Returns:
    slection VTK object

      Mesh, scalar, vector and tensor data.

sfepy.postprocess.utils_vtk.get_vtk_edges(vtkdata)

  Get mesh edges.

  Parameters:
    vtkdata VTK object

      Mesh, scalar, vector and tensor data.

  Returns:
    edges VTK object

      Mesh, scalar, vector and tensor data.

sfepy.postprocess.utils_vtk.get_vtk_from_file(filename)

  Read VTK file.

  Parameters:
    filename str

      Name of the VTK file.

  Returns:
    vtkdata VTK object

      Mesh, scalar, vector and tensor data.

sfepy.postprocess.utils_vtk.get_vtk_from_mesh(mesh, data, prefix='')

sfepy.postprocess.utils_vtk.get_vtk_surface(vtkdata)

  Get mesh surface.

  Parameters:
    vtkdata VTK object

      Mesh, scalar, vector and tensor data.

  Returns:
    surface VTK object

      Mesh, scalar, vector and tensor data.

sfepy.postprocess.utils_vtk.tetrahedralize_vtk_mesh(vtkdata)

  3D cells are converted to tetrahedral meshes, 2D cells to triangles.

  Parameters:
    vtkdata VTK object

      Mesh, scalar, vector and tensor data.

  Returns:
    tetra VTK object

      Mesh, scalar, vector and tensor data.

sfepy.postprocess.utils_vtk.write_vtk_to_file(filename, vtkdata)

  Write VTK file.

  Parameters:
    filename str

      Name of the VTK file.

    vtkdata VTK object

      Mesh, scalar, vector and tensor data.